﻿using localized.Resources;
using System;
using System.Globalization;
using System.Threading;

namespace localized
{
	class Program
	{
		static void Main(string[] args)
		{
			Print();

			// Lets switch our language
			Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-in");
			Print();

			// Lets switch our language again
			Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-gb");
			Print();
		}

		static void Print()
		{
			Console.WriteLine("You say '{0}' in {1}", Strings.Greeting, Thread.CurrentThread.CurrentUICulture);
		}
	}
}
